package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.MethodType;
import jp.sourceforge.shovel.SortOrderType;
import jp.sourceforge.shovel.SystemConfigType;

public interface ISystemForm {
    String getMethod();
    void setMethod(String method);
    MethodType getMethodType();
    String getConfig();
    void setConfig(String config);
    SystemConfigType getConfigType();
    int getPage();
    void setPage(int page);
    boolean isPartial();
    void setPartial(boolean partial);
    String getSortOrder();
    void setSortOrder(String sortOrder);
    SortOrderType getSortOrderType();
    long getUserId();
    void setUserId(long userId);
}
